PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
vg_lite_kernel_initialize_t Struct Reference

## Data Fields
uint32_t | command_buffer_size
int32_t | tess_width
int32_t | tess_height
vg_lite_vidmem_pool_t | command_buffer_pool
vg_lite_vidmem_pool_t | tess_buffer_pool
vg_lite_kernel_context_t * | context
vg_lite_capabilities_t | capabilities
void * | command_buffer [CMDBUF_COUNT]
uint32_t | command_buffer_gpu [CMDBUF_COUNT]
uint32_t | physical_addr
uint8_t * | logical_addr
uint32_t | tessbuf_size
uint32_t | countbuf_size
uint32_t | tess_w_h
void * | fb_command_buffer
uint32_t | fb_command_buffer_size
uint32_t | fb_command_buffer_gpu

## Field Documentation

## ◆ command_buffer_size

uint32_t vg_lite_kernel_initialize_t::command_buffer_size

## ◆ tess_width

int32_t vg_lite_kernel_initialize_t::tess_width

## ◆ tess_height

int32_t vg_lite_kernel_initialize_t::tess_height

## ◆ command_buffer_pool

vg_lite_vidmem_pool_t vg_lite_kernel_initialize_t::command_buffer_pool

## ◆ tess_buffer_pool

vg_lite_vidmem_pool_t vg_lite_kernel_initialize_t::tess_buffer_pool

## ◆ context

vg_lite_kernel_context_t* vg_lite_kernel_initialize_t::context

## ◆ capabilities

vg_lite_capabilities_t vg_lite_kernel_initialize_t::capabilities

## ◆ command_buffer

void* vg_lite_kernel_initialize_t::command_buffer[CMDBUF_COUNT]

## ◆ command_buffer_gpu

uint32_t vg_lite_kernel_initialize_t::command_buffer_gpu[CMDBUF_COUNT]

## ◆ physical_addr

uint32_t vg_lite_kernel_initialize_t::physical_addr

## ◆ logical_addr

uint8_t* vg_lite_kernel_initialize_t::logical_addr

## ◆ tessbuf_size

uint32_t vg_lite_kernel_initialize_t::tessbuf_size

## ◆ countbuf_size

uint32_t vg_lite_kernel_initialize_t::countbuf_size

## ◆ tess_w_h

uint32_t vg_lite_kernel_initialize_t::tess_w_h

## ◆ fb_command_buffer

void* vg_lite_kernel_initialize_t::fb_command_buffer

## ◆ fb_command_buffer_size

uint32_t vg_lite_kernel_initialize_t::fb_command_buffer_size

## ◆ fb_command_buffer_gpu

uint32_t vg_lite_kernel_initialize_t::fb_command_buffer_gpu